Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 5103)
@@ -749,329 +746,328 @@
 ! airefi,zcufi,zcvfi initialises au debut de ce programme
 ! rday,ra,rg,rd,rcpd declares dans YOMCST.h et calcules dans suphel.F
-      day_step = float(nsplit_phys)*day_step/float(iphysiq)
-      write (*,*) 'Time step divided by nsplit_phys (=',nsplit_phys,')'
-      timestep =rday/day_step
-      dtime_frcg = timestep
-
-      zcufi=airefi
-      zcvfi=airefi
-
-      rlat_rad(1)=xlat*rpi/180.
-      rlon_rad(1)=xlon*rpi/180.
-
-     ! iniphysiq will call iniaqua who needs year_len from phys_cal_mod
-     year_len_phys_cal_mod=year_len
-           
-     ! Ehouarn: iniphysiq requires arrays related to (3D) dynamics grid,
-     ! e.g. for cell boundaries, which are meaningless in 1D; so pad these 
-     ! with '0.' when necessary
-      call iniphysiq(iim,jjm,llm, &
-           1,comm_lmdz, &
-           rday,day_ini,timestep,  &
-           (/rlat_rad(1),0./),(/0./), &
-           (/0.,0./),(/rlon_rad(1),0./),  &
-           (/ (/airefi,0./),(/0.,0./) /), &
-           (/zcufi,0.,0.,0./), &
-           (/zcvfi,0./), &
-           ra,rg,rd,rcpd,1)
-      print*,'apres iniphysiq'
+day_step = float(nsplit_phys) * day_step / float(iphysiq)
+write (*, *) 'Time step divided by nsplit_phys (=', nsplit_phys, ')'
+timestep = rday / day_step
+dtime_frcg = timestep
+
+zcufi = airefi
+zcvfi = airefi
+
+rlat_rad(1) = xlat * rpi / 180.
+rlon_rad(1) = xlon * rpi / 180.
+
+! iniphysiq will CALL iniaqua who needs year_len from phys_cal_mod
+year_len_phys_cal_mod = year_len
+
+! Ehouarn: iniphysiq requires arrays related to (3D) dynamics grid,
+! e.g. for cell boundaries, which are meaningless in 1D; so pad these
+! with '0.' when necessary
+CALL iniphysiq(iim, jjm, llm, &
+        1, comm_lmdz, &
+        rday, day_ini, timestep, &
+        (/rlat_rad(1), 0./), (/0./), &
+        (/0., 0./), (/rlon_rad(1), 0./), &
+        (/ (/airefi, 0./), (/0., 0./) /), &
+        (/zcufi, 0., 0., 0./), &
+        (/zcvfi, 0./), &
+        ra, rg, rd, rcpd, 1)
+PRINT*, 'apres iniphysiq'
 
 ! 2 PARAMETRES QUI DEVRAIENT ETRE LUS DANS run.def MAIS NE LE SONT PAS ICI:
-      co2_ppm= 330.0
-      solaire=1370.0
+co2_ppm = 330.0
+solaire = 1370.0
 
 ! Ecriture du startphy avant le premier appel a la physique.
 ! On le met juste avant pour avoir acces a tous les champs
 
-      if (ok_writedem) then
-
-!--------------------------------------------------------------------------
-! pbl_surface_init (called here) and pbl_surface_final (called by phyredem)
-! need : qsol fder snow qsurf evap rugos agesno ftsoil
-!--------------------------------------------------------------------------
-
-        type_ocean = "force"
-        run_off_lic_0(1) = restart_runoff 
-        call fonte_neige_init(run_off_lic_0)
-
-        fder=0.
-        snsrf(1,:)=snowmass ! masse de neige des sous surface
-        print *, 'snsrf', snsrf
-        qsurfsrf(1,:)=qsurf ! humidite de l'air des sous surface
-        fevap=0.
-        z0m(1,:)=rugos     ! couverture de neige des sous surface
-        z0h(1,:)=rugosh    ! couverture de neige des sous surface
-        agesno  = xagesno
-        tsoil(:,:,:)=tsurf
-!------ AMMA 2e run avec modele sol et rayonnement actif (MPL 23052012)
-!       tsoil(1,1,1)=299.18
-!       tsoil(1,2,1)=300.08
-!       tsoil(1,3,1)=301.88
-!       tsoil(1,4,1)=305.48
-!       tsoil(1,5,1)=308.00
-!       tsoil(1,6,1)=308.00
-!       tsoil(1,7,1)=308.00
-!       tsoil(1,8,1)=308.00
-!       tsoil(1,9,1)=308.00
-!       tsoil(1,10,1)=308.00
-!       tsoil(1,11,1)=308.00
-!-----------------------------------------------------------------------
-        call pbl_surface_init(fder, snsrf, qsurfsrf, tsoil)
-
-!------------------ prepare limit conditions for limit.nc -----------------
-!--   Ocean force
-
-        print*,'avant phyredem'
-        pctsrf(1,:)=0.
-          if (nat_surf==0.) then
-          pctsrf(1,is_oce)=1.
-          pctsrf(1,is_ter)=0.
-          pctsrf(1,is_lic)=0.
-          pctsrf(1,is_sic)=0.
-        else if (nat_surf == 1) then
-          pctsrf(1,is_oce)=0.
-          pctsrf(1,is_ter)=1.
-          pctsrf(1,is_lic)=0.
-          pctsrf(1,is_sic)=0.
-        else if (nat_surf == 2) then
-          pctsrf(1,is_oce)=0.
-          pctsrf(1,is_ter)=0.
-          pctsrf(1,is_lic)=1.
-          pctsrf(1,is_sic)=0.
-        else if (nat_surf == 3) then
-          pctsrf(1,is_oce)=0.
-          pctsrf(1,is_ter)=0.
-          pctsrf(1,is_lic)=0.
-          pctsrf(1,is_sic)=1.
-
-     end if
-
-        print*,'nat_surf,pctsrf(1,is_oce),pctsrf(1,is_ter)',nat_surf         &
-          ,pctsrf(1,is_oce),pctsrf(1,is_ter)
-
-        zmasq=pctsrf(1,is_ter)+pctsrf(1,is_lic)
-        zpic = zpicinp
-        ftsol=tsurf
-        falb_dir=albedo
-        falb_dif=albedo
-        rugoro=rugos 
-        t_ancien(1,:)=temp(:)
-        q_ancien(1,:)=q(:,1)
-        ql_ancien = 0.
-        qs_ancien = 0.
-        prlw_ancien = 0.
-        prsw_ancien = 0.
-        prw_ancien = 0.
-!jyg<
-!!        pbl_tke(:,:,:)=1.e-8
-        pbl_tke(:,:,:)=0.
-        pbl_tke(:,2,:)=1.e-2
-        PRINT *, ' pbl_tke dans lmdz1d '
-        if (prt_level >= 5) then
-         DO nsrf = 1,4
-           PRINT *,'pbl_tke(1,:,',nsrf,') ',pbl_tke(1,:,nsrf)
-         ENDDO
-        end if
-
-!>jyg
-
-        rain_fall=0.
-        snow_fall=0.
-        solsw=0.
-        solswfdiff=0.
-        sollw=0.
-        sollwdown=rsigma*tsurf**4
-        radsol=0.
-        rnebcon=0.
-        ratqs=0.
-        clwcon=0.
-        zmax0 = 0.
-        zmea=zsurf
-        zstd=0.
-        zsig=0.
-        zgam=0.
-        zval=0. 
-        zthe=0. 
-        sig1=0.
-        w01=0.
-
-        wake_deltaq = 0.
-        wake_deltat = 0.
-        wake_delta_pbl_TKE(:,:,:) = 0.
-        delta_tsurf = 0.
-        wake_fip = 0.
-        wake_pe = 0.
-        wake_s = 0.
-        awake_s = 0.
-        wake_dens = 0.
-        awake_dens = 0.
-        cv_gen = 0.
-        wake_cstar = 0.
-        ale_bl = 0.
-        ale_bl_trig = 0.
-        alp_bl = 0.
-        IF (ALLOCATED(du_gwd_rando)) du_gwd_rando = 0.
-        IF (ALLOCATED(du_gwd_front)) du_gwd_front = 0.
-        entr_therm = 0.
-        detr_therm = 0.
-        f0 = 0.
-        fm_therm = 0.
-        u_ancien(1,:)=u(:)
-        v_ancien(1,:)=v(:)
-        rneb_ancien(1,:)=0.
-
-        u10m=0.
-        v10m=0.
-        ale_wake=0.
-        ale_bl_stat=0.
- 
-!------------------------------------------------------------------------
-! Make file containing restart for the physics (startphy.nc)
-
-! NB: List of the variables to be written by phyredem (via put_field):
-! rlon,rlat,zmasq,pctsrf(:,is_ter),pctsrf(:,is_lic),pctsrf(:,is_oce)
-! pctsrf(:,is_sic),ftsol(:,nsrf),tsoil(:,isoil,nsrf),qsurf(:,nsrf)
-! qsol,falb_dir(:,nsrf),falb_dif(:,nsrf),evap(:,nsrf),snow(:,nsrf)
-! radsol,solsw,solswfdiff,sollw, sollwdown,fder,rain_fall,snow_fall,frugs(:,nsrf)
-! agesno(:,nsrf),zmea,zstd,zsig,zgam,zthe,zpic,zval,rugoro
-! t_ancien,q_ancien,,frugs(:,is_oce),clwcon(:,1),rnebcon(:,1),ratqs(:,1)
-! run_off_lic_0,pbl_tke(:,1:klev,nsrf), zmax0,f0,sig1,w01
-! wake_deltat,wake_deltaq,wake_s,awake_s,wake_dens,awake_dens,cv_gen,wake_cstar,
-! wake_fip,wake_delta_pbl_tke(:,1:klev,nsrf)
-
-! NB2: The content of the startphy.nc file depends on some flags defined in
-! the ".def" files. However, since conf_phys is not called in lmdz1d.F90, these flags have 
-! to be set at some arbitratry convenient values.
-!------------------------------------------------------------------------
-!Al1 =============== restart option ==========================
-        iflag_physiq=0
-        call getin('iflag_physiq',iflag_physiq)
-
-        if (.not.restart) then
-          iflag_pbl = 5
-          call phyredem ("startphy.nc")
-        else
-! (desallocations)
-        print*,'callin surf final'
-          call pbl_surface_final( fder, snsrf, qsurfsrf, tsoil)
-        print*,'after surf final'
-          CALL fonte_neige_final(run_off_lic_0)
-        endif
-
-        ok_writedem=.false.
-        print*,'apres phyredem'
-
-      endif ! ok_writedem
-      
+IF (ok_writedem) then
+
+  !--------------------------------------------------------------------------
+  ! pbl_surface_init (called here) and pbl_surface_final (called by phyredem)
+  ! need : qsol fder snow qsurf evap rugos agesno ftsoil
+  !--------------------------------------------------------------------------
+
+  type_ocean = "force"
+  run_off_lic_0(1) = restart_runoff
+  CALL fonte_neige_init(run_off_lic_0)
+
+  fder = 0.
+  snsrf(1, :) = snowmass ! masse de neige des sous surface
+  print *, 'snsrf', snsrf
+  qsurfsrf(1, :) = qsurf ! humidite de l'air des sous surface
+  fevap = 0.
+  z0m(1, :) = rugos     ! couverture de neige des sous surface
+  z0h(1, :) = rugosh    ! couverture de neige des sous surface
+  agesno = xagesno
+  tsoil(:, :, :) = tsurf
+  !------ AMMA 2e run avec modele sol et rayonnement actif (MPL 23052012)
+  !       tsoil(1,1,1)=299.18
+  !       tsoil(1,2,1)=300.08
+  !       tsoil(1,3,1)=301.88
+  !       tsoil(1,4,1)=305.48
+  !       tsoil(1,5,1)=308.00
+  !       tsoil(1,6,1)=308.00
+  !       tsoil(1,7,1)=308.00
+  !       tsoil(1,8,1)=308.00
+  !       tsoil(1,9,1)=308.00
+  !       tsoil(1,10,1)=308.00
+  !       tsoil(1,11,1)=308.00
+  !-----------------------------------------------------------------------
+  CALL pbl_surface_init(fder, snsrf, qsurfsrf, tsoil)
+
+  !------------------ prepare limit conditions for limit.nc -----------------
+  !--   Ocean force
+
+  PRINT*, 'avant phyredem'
+  pctsrf(1, :) = 0.
+  if (nat_surf==0.) then
+    pctsrf(1, is_oce) = 1.
+    pctsrf(1, is_ter) = 0.
+    pctsrf(1, is_lic) = 0.
+    pctsrf(1, is_sic) = 0.
+  else if (nat_surf == 1) then
+    pctsrf(1, is_oce) = 0.
+    pctsrf(1, is_ter) = 1.
+    pctsrf(1, is_lic) = 0.
+    pctsrf(1, is_sic) = 0.
+  else if (nat_surf == 2) then
+    pctsrf(1, is_oce) = 0.
+    pctsrf(1, is_ter) = 0.
+    pctsrf(1, is_lic) = 1.
+    pctsrf(1, is_sic) = 0.
+  else if (nat_surf == 3) then
+    pctsrf(1, is_oce) = 0.
+    pctsrf(1, is_ter) = 0.
+    pctsrf(1, is_lic) = 0.
+    pctsrf(1, is_sic) = 1.
+
+  end if
+
+  PRINT*, 'nat_surf,pctsrf(1,is_oce),pctsrf(1,is_ter)', nat_surf         &
+          , pctsrf(1, is_oce), pctsrf(1, is_ter)
+
+  zmasq = pctsrf(1, is_ter) + pctsrf(1, is_lic)
+  zpic = zpicinp
+  ftsol = tsurf
+  falb_dir = albedo
+  falb_dif = albedo
+  rugoro = rugos
+  t_ancien(1, :) = temp(:)
+  q_ancien(1, :) = q(:, 1)
+  ql_ancien = 0.
+  qs_ancien = 0.
+  prlw_ancien = 0.
+  prsw_ancien = 0.
+  prw_ancien = 0.
+  !jyg<
+  !!        pbl_tke(:,:,:)=1.e-8
+  pbl_tke(:, :, :) = 0.
+  pbl_tke(:, 2, :) = 1.e-2
+  PRINT *, ' pbl_tke dans lmdz1d '
+  if (prt_level >= 5) then
+    DO nsrf = 1, 4
+      PRINT *, 'pbl_tke(1,:,', nsrf, ') ', pbl_tke(1, :, nsrf)
+    ENDDO
+  end if
+
+  !>jyg
+
+  rain_fall = 0.
+  snow_fall = 0.
+  solsw = 0.
+  solswfdiff = 0.
+  sollw = 0.
+  sollwdown = rsigma * tsurf**4
+  radsol = 0.
+  rnebcon = 0.
+  ratqs = 0.
+  clwcon = 0.
+  zmax0 = 0.
+  zmea = zsurf
+  zstd = 0.
+  zsig = 0.
+  zgam = 0.
+  zval = 0.
+  zthe = 0.
+  sig1 = 0.
+  w01 = 0.
+
+  wake_deltaq = 0.
+  wake_deltat = 0.
+  wake_delta_pbl_TKE(:, :, :) = 0.
+  delta_tsurf = 0.
+  wake_fip = 0.
+  wake_pe = 0.
+  wake_s = 0.
+  awake_s = 0.
+  wake_dens = 0.
+  awake_dens = 0.
+  cv_gen = 0.
+  wake_cstar = 0.
+  ale_bl = 0.
+  ale_bl_trig = 0.
+  alp_bl = 0.
+  IF (ALLOCATED(du_gwd_rando)) du_gwd_rando = 0.
+  IF (ALLOCATED(du_gwd_front)) du_gwd_front = 0.
+  entr_therm = 0.
+  detr_therm = 0.
+  f0 = 0.
+  fm_therm = 0.
+  u_ancien(1, :) = u(:)
+  v_ancien(1, :) = v(:)
+  rneb_ancien(1, :) = 0.
+
+  u10m = 0.
+  v10m = 0.
+  ale_wake = 0.
+  ale_bl_stat = 0.
+
+  !------------------------------------------------------------------------
+  ! Make file containing restart for the physics (startphy.nc)
+
+  ! NB: List of the variables to be written by phyredem (via put_field):
+  ! rlon,rlat,zmasq,pctsrf(:,is_ter),pctsrf(:,is_lic),pctsrf(:,is_oce)
+  ! pctsrf(:,is_sic),ftsol(:,nsrf),tsoil(:,isoil,nsrf),qsurf(:,nsrf)
+  ! qsol,falb_dir(:,nsrf),falb_dif(:,nsrf),evap(:,nsrf),snow(:,nsrf)
+  ! radsol,solsw,solswfdiff,sollw, sollwdown,fder,rain_fall,snow_fall,frugs(:,nsrf)
+  ! agesno(:,nsrf),zmea,zstd,zsig,zgam,zthe,zpic,zval,rugoro
+  ! t_ancien,q_ancien,,frugs(:,is_oce),clwcon(:,1),rnebcon(:,1),ratqs(:,1)
+  ! run_off_lic_0,pbl_tke(:,1:klev,nsrf), zmax0,f0,sig1,w01
+  ! wake_deltat,wake_deltaq,wake_s,awake_s,wake_dens,awake_dens,cv_gen,wake_cstar,
+  ! wake_fip,wake_delta_pbl_tke(:,1:klev,nsrf)
+
+  ! NB2: The content of the startphy.nc file depends on some flags defined in
+  ! the ".def" files. However, since conf_phys is not called in lmdz1d.F90, these flags have
+  ! to be set at some arbitratry convenient values.
+  !------------------------------------------------------------------------
+  !Al1 =============== restart option ==========================
+  iflag_physiq = 0
+  CALL getin('iflag_physiq', iflag_physiq)
+
+  if (.not.restart) then
+    iflag_pbl = 5
+    CALL phyredem ("startphy.nc")
+  else
+    ! (desallocations)
+    PRINT*, 'callin surf final'
+    CALL pbl_surface_final(fder, snsrf, qsurfsrf, tsoil)
+    PRINT*, 'after surf final'
+    CALL fonte_neige_final(run_off_lic_0)
+  endif
+
+  ok_writedem = .FALSE.
+  PRINT*, 'apres phyredem'
+
+END IF ! ok_writedem
+
 !------------------------------------------------------------------------
 ! Make file containing boundary conditions (limit.nc) **Al1->restartdyn***
 ! --------------------------------------------------
 ! NB: List of the variables to be written in limit.nc 
-!     (by writelim.F, subroutine of 1DUTILS.h):
+!     (by writelim.F, SUBROUTINE of 1DUTILS.h):
 !        phy_nat,phy_alb,phy_sst,phy_bil,phy_rug,phy_ice,
 !        phy_fter,phy_foce,phy_flic,phy_fsic)
 !------------------------------------------------------------------------
-      do i=1,year_len
-        phy_nat(i)  = nat_surf
-        phy_alb(i)  = albedo
-        phy_sst(i)  = tsurf ! read_tsurf1d will be used instead
-        phy_rug(i)  = rugos
-        phy_fter(i) = pctsrf(1,is_ter)
-        phy_foce(i) = pctsrf(1,is_oce)
-        phy_fsic(i) = pctsrf(1,is_sic)
-        phy_flic(i) = pctsrf(1,is_lic)
-      enddo
+DO i = 1, year_len
+  phy_nat(i) = nat_surf
+  phy_alb(i) = albedo
+  phy_sst(i) = tsurf ! read_tsurf1d will be used instead
+  phy_rug(i) = rugos
+  phy_fter(i) = pctsrf(1, is_ter)
+  phy_foce(i) = pctsrf(1, is_oce)
+  phy_fsic(i) = pctsrf(1, is_sic)
+  phy_flic(i) = pctsrf(1, is_lic)
+END DO
 
 ! fabrication de limit.nc
-      call writelim (1,phy_nat,phy_alb,phy_sst,phy_bil,phy_rug,             &
-                 phy_ice,phy_fter,phy_foce,phy_flic,phy_fsic)
-
-
-      call phys_state_var_end
+CALL writelim (1, phy_nat, phy_alb, phy_sst, phy_bil, phy_rug, &
+        phy_ice, phy_fter, phy_foce, phy_flic, phy_fsic)
+
+CALL phys_state_var_end
 !Al1
-      if (restart) then
-        print*,'call to restart dyn 1d'
-        Call dyn1deta0("start1dyn.nc",plev,play,phi,phis,presnivs,          &
-                u,v,temp,q,omega2)
-
-       print*,'fnday,annee_ref,day_ref,day_ini',                            &
-       fnday,annee_ref,day_ref,day_ini
-!**      call ymds2ju(annee_ref,mois,day_ini,heure,day)
-       day = day_ini
-       day_end = day_ini + nday
-       daytime = day + time_ini/24. ! 1st day and initial time of the simulation 
-
-! Print out the actual date of the beginning of the simulation :
-       call ju2ymds(daytime, an, mois, jour, heure)
-       print *,' Time of beginning : y m d h',an, mois,jour,heure/3600.
-
-       day = int(daytime)
-       time=daytime-day
-  
-       print*,'****** intialised fields from restart1dyn *******'
-       print*,'plev,play,phi,phis,presnivs,u,v,temp,q,omega2'
-       print*,'temp(1),q(1,1),u(1),v(1),plev(1),phis :'
-       print*,temp(1),q(1,1),u(1),v(1),plev(1),phis
-! raz for safety
-       do l=1,llm
-         dq_dyn(l,1) = 0.
-       enddo
-      endif
+IF (restart) then
+  PRINT*, 'CALL to restart dyn 1d'
+  Call dyn1deta0("start1dyn.nc", plev, play, phi, phis, presnivs, &
+          u, v, temp, q, omega2)
+
+  PRINT*, 'fnday,annee_ref,day_ref,day_ini', &
+          fnday, annee_ref, day_ref, day_ini
+  !**      CALL ymds2ju(annee_ref,mois,day_ini,heure,day)
+  day = day_ini
+  day_end = day_ini + nday
+  daytime = day + time_ini / 24. ! 1st day and initial time of the simulation
+
+  ! Print out the actual date of the beginning of the simulation :
+  CALL ju2ymds(daytime, an, mois, jour, heure)
+  print *, ' Time of beginning : y m d h', an, mois, jour, heure / 3600.
+
+  day = int(daytime)
+  time = daytime - day
+
+  PRINT*, '****** intialised fields from restart1dyn *******'
+  PRINT*, 'plev,play,phi,phis,presnivs,u,v,temp,q,omega2'
+  PRINT*, 'temp(1),q(1,1),u(1),v(1),plev(1),phis :'
+  PRINT*, temp(1), q(1, 1), u(1), v(1), plev(1), phis
+  ! raz for safety
+  do l = 1, llm
+    dq_dyn(l, 1) = 0.
+  enddo
+END IF
 !Al1 ================  end restart =================================
-      IF (ecrit_slab_oc==1) then
-         open(97,file='div_slab.dat',STATUS='UNKNOWN')
-       elseif (ecrit_slab_oc==0) then
-         open(97,file='div_slab.dat',STATUS='OLD')
-       endif
+IF (ecrit_slab_oc==1) then
+  open(97, file = 'div_slab.dat', STATUS = 'UNKNOWN')
+elseif (ecrit_slab_oc==0) then
+  open(97, file = 'div_slab.dat', STATUS = 'OLD')
+END IF
 
 !---------------------------------------------------------------------
 !    Initialize target profile for RHT nudging if needed
 !---------------------------------------------------------------------
-      if (nudge(inudge_RHT)) then
-        call nudge_RHT_init(plev,play,temp,q(:,1),t_targ,rh_targ)
-      endif
-      if (nudge(inudge_UV)) then
-        call nudge_UV_init(plev,play,u,v,u_targ,v_targ)
-      endif
+IF (nudge(inudge_RHT)) then
+  CALL nudge_RHT_init(plev, play, temp, q(:, 1), t_targ, rh_targ)
+END IF
+IF (nudge(inudge_UV)) then
+  CALL nudge_UV_init(plev, play, u, v, u_targ, v_targ)
+END IF
 
 !=====================================================================
-#ifdef OUTPUT_PHYS_SCM
-       CALL iophys_ini(timestep)
-#endif
+IF (CPPKEY_OUTPUTPHYSSCM)
+  CALL iophys_ini(timestep)
+END IF
 ! START OF THE TEMPORAL LOOP :
 !=====================================================================
-           
-      it_end = nint(fnday*day_step)
+
+it_end = nint(fnday * day_step)
 !test JLD     it_end = 10
-      do while(it<=it_end)
-
-       if (prt_level>=1) then
-         print*,'XXXXXXXXXXXXXXXXXXX ITAP,day,time=',                       &
-               it,day,time,it_end,day_step
-         print*,'PAS DE TEMPS ',timestep
-       endif
-!Al1 demande de restartphy.nc
-       if (it==it_end) lastcall=.True.
-
-!---------------------------------------------------------------------
-!  Geopotential :
-!---------------------------------------------------------------------
-
-        phi(1)=RD*temp(1)*(plev(1)-play(1))/(.5*(plev(1)+play(1)))
-        do l = 1, llm-1
-          phi(l+1)=phi(l)+RD*(temp(l)+temp(l+1))*                           &
-      (play(l)-play(l+1))/(play(l)+play(l+1))
-        enddo
-
-!---------------------------------------------------------------------
-! Interpolation of forcings in time and onto model levels
-!---------------------------------------------------------------------
-
-      INCLUDE "old_1D_interp_cases.h"
-
-      if (forcing_GCM2SCM) then
-        write (*,*) 'forcing_GCM2SCM not yet implemented'
-        stop 'in time loop'
-      endif ! forcing_GCM2SCM
+DO while(it<=it_end)
+
+  if (prt_level>=1) then
+    PRINT*, 'XXXXXXXXXXXXXXXXXXX ITAP,day,time=', &
+            it, day, time, it_end, day_step
+    PRINT*, 'PAS DE TEMPS ', timestep
+  endif
+  !Al1 demande de restartphy.nc
+  if (it==it_end) lastcall = .True.
+
+  !---------------------------------------------------------------------
+  !  Geopotential :
+  !---------------------------------------------------------------------
+
+  phi(1) = RD * temp(1) * (plev(1) - play(1)) / (.5 * (plev(1) + play(1)))
+  do l = 1, llm - 1
+    phi(l + 1) = phi(l) + RD * (temp(l) + temp(l + 1)) * &
+            (play(l) - play(l + 1)) / (play(l) + play(l + 1))
+  enddo
+
+  !---------------------------------------------------------------------
+  ! Interpolation of forcings in time and onto model levels
+  !---------------------------------------------------------------------
+
+  INCLUDE "old_1D_interp_cases.h"
+
+IF (forcing_GCM2SCM) then
+  write (*, *) 'forcing_GCM2SCM not yet implemented'
+  stop 'in time loop'
+END IF ! forcing_GCM2SCM
 
 !!!!---------------------------------------------------------------------
@@ -1088,96 +1084,96 @@
 ! Listing output for debug prt_level>=1
 !---------------------------------------------------------------------
-       if (prt_level>=1) then
-         print *,' avant physiq : -------- day time ',day,time
-         write(*,*) 'firstcall,lastcall,phis',                               &
-                 firstcall,lastcall,phis
-       end if
-       if (prt_level>=5) then
-         write(*,'(a10,2a4,4a13)') 'BEFOR1 IT=','it','l',                   &
-          'presniv','plev','play','phi'
-         write(*,'(a10,2i4,4f13.2)') ('BEFOR1 IT= ',it,l,                   &
-           presnivs(l),plev(l),play(l),phi(l),l=1,llm)
-         write(*,'(a11,2a4,a11,6a8)') 'BEFOR2','it','l',                    &
-           'presniv','u','v','temp','q1','q2','omega2'
-         write(*,'(a11,2i4,f11.2,5f8.2,e10.2)') ('BEFOR2 IT= ',it,l,         &
-     presnivs(l),u(l),v(l),temp(l),q(l,1),q(l,2),omega2(l),l=1,llm)
-       endif
+IF (prt_level>=1) then
+  print *, ' avant physiq : -------- day time ', day, time
+  write(*, *) 'firstcall,lastcall,phis', &
+          firstcall, lastcall, phis
+end if
+IF (prt_level>=5) then
+  write(*, '(a10,2a4,4a13)') 'BEFOR1 IT=', 'it', 'l', &
+          'presniv', 'plev', 'play', 'phi'
+  write(*, '(a10,2i4,4f13.2)') ('BEFOR1 IT= ', it, l, &
+          presnivs(l), plev(l), play(l), phi(l), l = 1, llm)
+  write(*, '(a11,2a4,a11,6a8)') 'BEFOR2', 'it', 'l', &
+          'presniv', 'u', 'v', 'temp', 'q1', 'q2', 'omega2'
+  write(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('BEFOR2 IT= ', it, l, &
+          presnivs(l), u(l), v(l), temp(l), q(l, 1), q(l, 2), omega2(l), l = 1, llm)
+END IF
 
 !---------------------------------------------------------------------
 !   Call physiq :
 !---------------------------------------------------------------------
-       call physiq(ngrid,llm, &
-                    firstcall,lastcall,timestep, &
-                    plev,play,phi,phis,presnivs, &
-                    u,v, rot, temp,q,omega2, &
-                    du_phys,dv_phys,dt_phys,dq,dpsrf)
-                firstcall=.false.
+CALL physiq(ngrid, llm, &
+        firstcall, lastcall, timestep, &
+        plev, play, phi, phis, presnivs, &
+        u, v, rot, temp, q, omega2, &
+        du_phys, dv_phys, dt_phys, dq, dpsrf)
+firstcall = .FALSE.
 
 !---------------------------------------------------------------------
 ! Listing output for debug
 !---------------------------------------------------------------------
-        if (prt_level>=5) then
-          write(*,'(a11,2a4,4a13)') 'AFTER1 IT=','it','l',                  &
-          'presniv','plev','play','phi'
-          write(*,'(a11,2i4,4f13.2)') ('AFTER1 it= ',it,l,                  &
-      presnivs(l),plev(l),play(l),phi(l),l=1,llm)
-          write(*,'(a11,2a4,a11,6a8)') 'AFTER2','it','l',                   &
-           'presniv','u','v','temp','q1','q2','omega2'
-          write(*,'(a11,2i4,f11.2,5f8.2,e10.2)') ('AFTER2 it= ',it,l,       &
-      presnivs(l),u(l),v(l),temp(l),q(l,1),q(l,2),omega2(l),l=1,llm)
-          write(*,'(a11,2a4,a11,5a8)') 'AFTER3','it','l',                   &
-           'presniv','du_phys','dv_phys','dt_phys','dq1','dq2'
-           write(*,'(a11,2i4,f11.2,5f8.2)') ('AFTER3 it= ',it,l,            &
-        presnivs(l),86400*du_phys(l),86400*dv_phys(l),                   &
-         86400*dt_phys(l),86400*dq(l,1),dq(l,2),l=1,llm)
-          write(*,*) 'dpsrf',dpsrf
-        endif
+IF (prt_level>=5) then
+  write(*, '(a11,2a4,4a13)') 'AFTER1 IT=', 'it', 'l', &
+          'presniv', 'plev', 'play', 'phi'
+  write(*, '(a11,2i4,4f13.2)') ('AFTER1 it= ', it, l, &
+          presnivs(l), plev(l), play(l), phi(l), l = 1, llm)
+  write(*, '(a11,2a4,a11,6a8)') 'AFTER2', 'it', 'l', &
+          'presniv', 'u', 'v', 'temp', 'q1', 'q2', 'omega2'
+  write(*, '(a11,2i4,f11.2,5f8.2,e10.2)') ('AFTER2 it= ', it, l, &
+          presnivs(l), u(l), v(l), temp(l), q(l, 1), q(l, 2), omega2(l), l = 1, llm)
+  write(*, '(a11,2a4,a11,5a8)') 'AFTER3', 'it', 'l', &
+          'presniv', 'du_phys', 'dv_phys', 'dt_phys', 'dq1', 'dq2'
+  write(*, '(a11,2i4,f11.2,5f8.2)') ('AFTER3 it= ', it, l, &
+          presnivs(l), 86400 * du_phys(l), 86400 * dv_phys(l), &
+          86400 * dt_phys(l), 86400 * dq(l, 1), dq(l, 2), l = 1, llm)
+  write(*, *) 'dpsrf', dpsrf
+END IF
 !---------------------------------------------------------------------
 !   Add physical tendencies :
 !---------------------------------------------------------------------
 
-       fcoriolis=2.*sin(rpi*xlat/180.)*romega
-       if (forcing_radconv .or. forcing_fire) then
-         fcoriolis=0.0
-         dt_cooling=0.0
-         d_t_adv=0.0
-         d_q_adv=0.0
-       endif
-!      print*, 'calcul de fcoriolis ', fcoriolis
-
-       if (forcing_toga .or. forcing_GCSSold .or. forcing_twpice            &
-      .or.forcing_amma .or. forcing_type==101) then
-         fcoriolis=0.0 ; ug=0. ; vg=0.
-       endif
-
-       if(forcing_rico) then
-          dt_cooling=0.
-       endif
+fcoriolis = 2. * sin(rpi * xlat / 180.) * romega
+IF (forcing_radconv .or. forcing_fire) then
+  fcoriolis = 0.0
+  dt_cooling = 0.0
+  d_t_adv = 0.0
+  d_q_adv = 0.0
+END IF
+!      PRINT*, 'calcul de fcoriolis ', fcoriolis
+
+IF (forcing_toga .or. forcing_GCSSold .or. forcing_twpice            &
+        .or.forcing_amma .or. forcing_type==101) then
+  fcoriolis = 0.0 ; ug = 0. ; vg = 0.
+END IF
+
+IF(forcing_rico) then
+  dt_cooling = 0.
+END IF
 
 !CRio:Attention modif sp??cifique cas de Caroline
-      if (forcing_type==-1) then
-         fcoriolis=0.
-!Nudging
-        
-!on calcule dt_cooling
-        do l=1,llm
-        if (play(l)>=20000.) then
-            dt_cooling(l)=-1.5/86400.
-        elseif ((play(l)>=10000.).and.((play(l)<20000.))) then
-            dt_cooling(l)=-1.5/86400.*(play(l)-10000.)/(10000.)-1./86400.*(20000.-play(l))/10000.*(temp(l)-200.)
-        else
-            dt_cooling(l)=-1.*(temp(l)-200.)/86400.
-        endif
-        enddo
-
-      endif     
+IF (forcing_type==-1) then
+  fcoriolis = 0.
+  !Nudging
+
+  !on calcule dt_cooling
+  do l = 1, llm
+    if (play(l)>=20000.) then
+      dt_cooling(l) = -1.5 / 86400.
+    elseif ((play(l)>=10000.).and.((play(l)<20000.))) then
+      dt_cooling(l) = -1.5 / 86400. * (play(l) - 10000.) / (10000.) - 1. / 86400. * (20000. - play(l)) / 10000. * (temp(l) - 200.)
+    else
+      dt_cooling(l) = -1. * (temp(l) - 200.) / 86400.
+    endif
+  enddo
+
+END IF
 !RC
-      if (forcing_sandu) then
-         ug(1:llm)=u_mod(1:llm)
-         vg(1:llm)=v_mod(1:llm)
-      endif
-
-      IF (prt_level >= 5) print*, 'fcoriolis, xlat,mxcalc ', &
-                                   fcoriolis, xlat,mxcalc
+IF (forcing_sandu) then
+  ug(1:llm) = u_mod(1:llm)
+  vg(1:llm) = v_mod(1:llm)
+END IF
+
+IF (prt_level >= 5) PRINT*, 'fcoriolis, xlat,mxcalc ', &
+        fcoriolis, xlat, mxcalc
 
 !       print *,'u-ug=',u-ug
@@ -1189,16 +1185,16 @@
 !      dv_age(1:mxcalc)=-fcoriolis*(u(1:mxcalc)-ug(1:mxcalc))
 !!!!!!!!!!!!!!!!!!!!!!!!
-       sfdt = sin(0.5*fcoriolis*timestep)
-       cfdt = cos(0.5*fcoriolis*timestep)
+sfdt = sin(0.5 * fcoriolis * timestep)
+cfdt = cos(0.5 * fcoriolis * timestep)
 !       print *,'fcoriolis,sfdt,cfdt,timestep',fcoriolis,sfdt,cfdt,timestep
 
-        du_age(1:mxcalc)= -2.*sfdt/timestep*                                &
-            (sfdt*(u(1:mxcalc)-ug(1:mxcalc)) -                          &
-             cfdt*(v(1:mxcalc)-vg(1:mxcalc))  )
+du_age(1:mxcalc) = -2. * sfdt / timestep * &
+        (sfdt * (u(1:mxcalc) - ug(1:mxcalc)) - &
+                cfdt * (v(1:mxcalc) - vg(1:mxcalc)))
 !!     : fcoriolis*(v(1:mxcalc)-vg(1:mxcalc))
 
-       dv_age(1:mxcalc)= -2.*sfdt/timestep*                                 &
-            (cfdt*(u(1:mxcalc)-ug(1:mxcalc)) +                           &
-             sfdt*(v(1:mxcalc)-vg(1:mxcalc))  )
+dv_age(1:mxcalc) = -2. * sfdt / timestep * &
+        (cfdt * (u(1:mxcalc) - ug(1:mxcalc)) + &
+                sfdt * (v(1:mxcalc) - vg(1:mxcalc)))
 !!     : -fcoriolis*(u(1:mxcalc)-ug(1:mxcalc))
 
@@ -1206,38 +1202,38 @@
 !  Nudging
 !!!!!!!!!!!!!!!!!!!!!!!!
-      d_t_nudge(:) = 0.
-      d_q_nudge(:,:) = 0.
-      d_u_nudge(:) = 0.
-      d_v_nudge(:) = 0.
-      if (nudge(inudge_RHT)) then
-        call nudge_RHT(timestep,plev,play,t_targ,rh_targ,temp,q(:,1),     &
-                    d_t_nudge,d_q_nudge(:,1))
-      endif
-      if (nudge(inudge_UV)) then
-        call nudge_UV(timestep,plev,play,u_targ,v_targ,u,v,     &
-                    d_u_nudge,d_v_nudge)
-      endif
-
-       if (forcing_fire) THEN
-
-!let ww=if ( alt le 1100 ) then alt*-0.00001 else 0
-!let wt=if ( alt le 1100 ) then min( -3.75e-5 , -7.5e-8*alt)  else 0
-!let wq=if ( alt le 1100 ) then max( 1.5e-8 , 3e-11*alt)  else 0
-           d_t_adv=0.
-           d_q_adv=0.
-           teta=temp*(pzero/play)**rkappa
-           d_t_adv=0.
-           d_q_adv=0.
-           do l=2,llm-1
-              if (zlay(l)<=1100) then
-                  wwww=-0.00001*zlay(l)
-                  d_t_adv(l)=-wwww*(teta(l)-teta(l+1))/(zlay(l)-zlay(l+1)) /(pzero/play(l))**rkappa
-                  d_q_adv(l,1:2)=-wwww*(q(l,1:2)-q(l+1,1:2))/(zlay(l)-zlay(l+1))
-                  d_t_adv(l)=d_t_adv(l)+min(-3.75e-5 , -7.5e-8*zlay(l))
-                  d_q_adv(l,1)=d_q_adv(l,1)+max( 1.5e-8 , 3e-11*zlay(l))
-              endif
-           enddo
-
-        endif
+d_t_nudge(:) = 0.
+d_q_nudge(:, :) = 0.
+d_u_nudge(:) = 0.
+d_v_nudge(:) = 0.
+IF (nudge(inudge_RHT)) then
+  CALL nudge_RHT(timestep, plev, play, t_targ, rh_targ, temp, q(:, 1), &
+          d_t_nudge, d_q_nudge(:, 1))
+END IF
+IF (nudge(inudge_UV)) then
+  CALL nudge_UV(timestep, plev, play, u_targ, v_targ, u, v, &
+          d_u_nudge, d_v_nudge)
+END IF
+
+IF (forcing_fire) THEN
+
+  !let ww=if ( alt le 1100 ) then alt*-0.00001 else 0
+  !let wt=if ( alt le 1100 ) then min( -3.75e-5 , -7.5e-8*alt)  else 0
+  !let wq=if ( alt le 1100 ) then max( 1.5e-8 , 3e-11*alt)  else 0
+  d_t_adv = 0.
+  d_q_adv = 0.
+  teta = temp * (pzero / play)**rkappa
+  d_t_adv = 0.
+  d_q_adv = 0.
+  do l = 2, llm - 1
+    if (zlay(l)<=1100) then
+      wwww = -0.00001 * zlay(l)
+      d_t_adv(l) = -wwww * (teta(l) - teta(l + 1)) / (zlay(l) - zlay(l + 1)) / (pzero / play(l))**rkappa
+      d_q_adv(l, 1:2) = -wwww * (q(l, 1:2) - q(l + 1, 1:2)) / (zlay(l) - zlay(l + 1))
+      d_t_adv(l) = d_t_adv(l) + min(-3.75e-5, -7.5e-8 * zlay(l))
+      d_q_adv(l, 1) = d_q_adv(l, 1) + max(1.5e-8, 3e-11 * zlay(l))
+    endif
+  enddo
+
+END IF
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
